<!DOCTYPE HTML>
<html lang="fr">
<head>
<!-- Generated by javadoc (18) on Wed Mar 20 22:42:02 MSK 2024 -->
<title>U-Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2024-03-20">
<meta name="description" content="index: U">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon"></span><span class="nav-bar-toggle-icon"></span><span class="nav-bar-toggle-icon"></span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="../help-doc.html#index">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">J</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">S</a>&nbsp;<a href="index-12.html">T</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<a href="index-14.html">V</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:U">U</h2>
<dl class="index">
<dt><a href="../com/test/test/controller/TicketController.html#updateTicket(int,com.test.test.model.Ticket)" class="member-name-link">updateTicket(int, Ticket)</a> - Method in class com.test.test.controller.<a href="../com/test/test/controller/TicketController.html" title="class in com.test.test.controller">TicketController</a></dt>
<dd>
<div class="block">Updates an existing ticket.</div>
</dd>
<dt><a href="../com/test/test/controller/UserController.html#updateUser(int,com.test.test.model.User)" class="member-name-link">updateUser(int, User)</a> - Method in class com.test.test.controller.<a href="../com/test/test/controller/UserController.html" title="class in com.test.test.controller">UserController</a></dt>
<dd>
<div class="block">Updates an existing user.</div>
</dd>
<dt><a href="../com/test/test/model/User.html" class="type-name-link" title="class in com.test.test.model">User</a> - Class in <a href="../com/test/test/model/package-summary.html">com.test.test.model</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/test/test/model/User.html#%3Cinit%3E()" class="member-name-link">User()</a> - Constructor for class com.test.test.model.<a href="../com/test/test/model/User.html" title="class in com.test.test.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/test/test/model/User.html#%3Cinit%3E(int,java.lang.String,java.lang.String)" class="member-name-link">User(int, String, String)</a> - Constructor for class com.test.test.model.<a href="../com/test/test/model/User.html" title="class in com.test.test.model">User</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/test/test/controller/UserController.html" class="type-name-link" title="class in com.test.test.controller">UserController</a> - Class in <a href="../com/test/test/controller/package-summary.html">com.test.test.controller</a></dt>
<dd>
<div class="block">Controller class responsible for handling HTTP requests related to user management.</div>
</dd>
<dt><a href="../com/test/test/controller/UserController.html#%3Cinit%3E(com.test.test.services.UserService)" class="member-name-link">UserController(UserService)</a> - Constructor for class com.test.test.controller.<a href="../com/test/test/controller/UserController.html" title="class in com.test.test.controller">UserController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/test/test/controller/UserControllerTest.html" class="type-name-link" title="class in com.test.test.controller">UserControllerTest</a> - Class in <a href="../com/test/test/controller/package-summary.html">com.test.test.controller</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/test/test/controller/UserControllerTest.html#%3Cinit%3E()" class="member-name-link">UserControllerTest()</a> - Constructor for class com.test.test.controller.<a href="../com/test/test/controller/UserControllerTest.html" title="class in com.test.test.controller">UserControllerTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/test/test/dto/UserDTO.html" class="type-name-link" title="class in com.test.test.dto">UserDTO</a> - Class in <a href="../com/test/test/dto/package-summary.html">com.test.test.dto</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/test/test/dto/UserDTO.html#%3Cinit%3E()" class="member-name-link">UserDTO()</a> - Constructor for class com.test.test.dto.<a href="../com/test/test/dto/UserDTO.html" title="class in com.test.test.dto">UserDTO</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/test/test/configuration/UserInterceptor.html" class="type-name-link" title="class in com.test.test.configuration">UserInterceptor</a> - Class in <a href="../com/test/test/configuration/package-summary.html">com.test.test.configuration</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/test/test/configuration/UserInterceptor.html#%3Cinit%3E()" class="member-name-link">UserInterceptor()</a> - Constructor for class com.test.test.configuration.<a href="../com/test/test/configuration/UserInterceptor.html" title="class in com.test.test.configuration">UserInterceptor</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/test/test/mapper/UserMapper.html" class="type-name-link" title="class in com.test.test.mapper">UserMapper</a> - Class in <a href="../com/test/test/mapper/package-summary.html">com.test.test.mapper</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/test/test/mapper/UserMapper.html#%3Cinit%3E()" class="member-name-link">UserMapper()</a> - Constructor for class com.test.test.mapper.<a href="../com/test/test/mapper/UserMapper.html" title="class in com.test.test.mapper">UserMapper</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/test/test/dao/UserRepository.html" class="type-name-link" title="interface in com.test.test.dao">UserRepository</a> - Interface in <a href="../com/test/test/dao/package-summary.html">com.test.test.dao</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/test/test/services/UserService.html" class="type-name-link" title="class in com.test.test.services">UserService</a> - Class in <a href="../com/test/test/services/package-summary.html">com.test.test.services</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/test/test/services/UserService.html#%3Cinit%3E()" class="member-name-link">UserService()</a> - Constructor for class com.test.test.services.<a href="../com/test/test/services/UserService.html" title="class in com.test.test.services">UserService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/test/test/service/UserServiceTest.html" class="type-name-link" title="class in com.test.test.service">UserServiceTest</a> - Class in <a href="../com/test/test/service/package-summary.html">com.test.test.service</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/test/test/service/UserServiceTest.html#%3Cinit%3E()" class="member-name-link">UserServiceTest()</a> - Constructor for class com.test.test.service.<a href="../com/test/test/service/UserServiceTest.html" title="class in com.test.test.service">UserServiceTest</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">J</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">S</a>&nbsp;<a href="index-12.html">T</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<a href="index-14.html">V</a>&nbsp;<a href="index-15.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes&nbsp;and&nbsp;Interfaces</a><span class="vertical-separator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></main>
</div>
</div>
</body>
</html>
